Package com.independentsoft.office.word.math

# Enum Class SpacingRule

java.lang.Object
java.lang.Enum<SpacingRule>
com.independentsoft.office.word.math.SpacingRule

All Implemented Interfaces:
  `Serializable`, `Comparable<SpacingRule>`, `Constable`

public enum SpacingRule extends Enum<SpacingRule>
The Enum SpacingRule.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXACTLY`
  `MULTIPLE`
  `NONE`
  `ONE`
  `ONE_AND_HALF`
  `TWO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SpacingRule`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpacingRule[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ONE

    public static final SpacingRule ONE

  - ### ONE_AND_HALF

    public static final SpacingRule ONE_AND_HALF

  - ### TWO

    public static final SpacingRule TWO

  - ### EXACTLY

    public static final SpacingRule EXACTLY

  - ### MULTIPLE

    public static final SpacingRule MULTIPLE

  - ### NONE

    public static final SpacingRule NONE

- ## Method Details

  - ### values

    public static SpacingRule[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpacingRule valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null